﻿@model AssignModeratorToForumViewModel

@{
    ViewData["Title"] = "AssignModeratorToForum";
}

<h1>AssignUserToModerator</h1>

<h4>UserToModeratorViewModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AssignModeratorToForum">
            <div class="list-group-item">
                <select asp-for="UserId">
                    @foreach (var user in Model.Users)
                    {
                        <option value="@user.Id">@user.UserName</option>
                    }
                </select>
            </div>
            <div class="list-group-item">
                <select asp-for="ForumId">
                    @foreach (var forum in Model.Forums)
                    {
                        <option value="@forum.Id">@forum.Name</option>
                    }
                </select>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
